> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pontua.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Coleta todas as informações de uma regra de ponto etapa de DSR



## OpenAPI

````yaml https://api.pre.pontua.tech/api/public/doc-json get /regras-de-ponto/{regraDePontoId}/dsr
openapi: 3.0.0
info:
  title: Pontua Public API
  description: >-
    API oficial da Pontua para integrações de clientes externos. Autentique com
    o token gerado no dashboard em **Configurações → API**. Envie o token no
    header `Authorization: Bearer <SEU_TOKEN>`.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /regras-de-ponto/{regraDePontoId}/dsr:
    get:
      tags:
        - Regras de ponto
      summary: Coleta todas as informações de uma regra de ponto etapa de DSR
      operationId: RegrasDePontoController_GetDsr
      parameters:
        - name: regraDePontoId
          required: true
          in: path
          description: ID da Regra
          schema:
            type: string
      responses:
        '200':
          description: Configuração de DSR
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDsrDto'
        default:
          description: "\n\t\t\t400 - Bad Request: A solicitação não está no formato correto.\n\t\t\t401 - Unauthorized: A solicitação não foi autorizada. Verifique se o token de acesso é válido.\n\t\t\t403 - Forbidden: Acesso proibido! Requer um nível de permissão mais elevado.\n\t\t\t404 - Not Found: O recurso solicitado não foi encontrado.\n\t\t\t500 - Internal Server Error: Erro de execução no servidor!\n\t\t\t"
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    GetDsrDto:
      type: object
      properties:
        DsrHabilitar:
          type: boolean
          description: Flag que determina se existe regra de DSR
          example: false
        DsrDescontarFeriado:
          type: boolean
          description: 'Flag para Descontar feriado do descanso semanal remunerado '
          example: false
        DsrDescontarTurnoIntermitente:
          type: boolean
          description: Flag para Descontar DSR em turno intermitente
          example: false
        DsrDescontarExcederLimiteHoras:
          type: boolean
          description: >-
            Descontar DSR quando colaborador exceder o limite de horas faltantes
            durante a semana
          example: false
        DsrQuantidadeExcederLimiteHoras:
          type: string
          description: Valor no formato HH:mm do Limite semanal de horas faltantes.
          example: '09:30'
        regraDePontoId:
          type: string
          description: Id da Regra de ponto
          example: regraDePontoId-id
        step:
          type: string
          description: Proximo step de configuração
          enum:
            - CONFIG_HORA_EXTRA
            - CONFIG_BANCO_HORAS
            - CONFIG_MISTO
            - HORAS_NEGATIVAS
            - FLEXIBILIDADE_TOLERANCIA
            - ADICIONAL_NOTURNO
            - DSR
            - TOLERANCIA
            - IDENTIFICACAO
            - CONCLUIDO
      required:
        - DsrHabilitar
        - DsrDescontarFeriado
        - DsrDescontarTurnoIntermitente
        - DsrDescontarExcederLimiteHoras
        - DsrQuantidadeExcederLimiteHoras
        - regraDePontoId
        - step
    ErrorDto:
      type: object
      properties:
        service:
          type: string
          description: Rota solicitada
        method:
          type: string
          description: Método http
        message:
          description: Mensagem do erro
          oneOf:
            - type: string
              example: message erro
            - type: array
              items:
                type: string
                example:
                  - erro 1
                  - erro 2
      required:
        - service
        - method
        - message

````